# StDOMNode.hpp File Reference

`#include <xercesc/dom/DOMNode.hpp>`
`#include <xercesc/dom/DOMAttr.hpp>`
`#include <xercesc/dom/DOMElement.hpp>`

Include dependency graph for StDOMNode.hpp:

Go to the source code of this file.

## Namespaces

namespace | xercesc

## Classes

class | xercesc::StDOMNode< T >

## Typedefs

typedef DOMNode * | xercesc::DOMNodeSPtr
typedef DOMAttr * | xercesc::DOMAttrSPtr
typedef DOMElement * | xercesc::DOMElementSPtr